scheduler._mouse_coords=function(ev){
	var pos, column;
	var b=document.body;
	var d = document.documentElement;
	if (!_isIE && (ev.pageX || ev.pageY))
		pos={x:ev.pageX, y:ev.pageY};
	else pos={
		x:ev.clientX + (b.scrollLeft||d.scrollLeft||0) - b.clientLeft,
		y:ev.clientY + (b.scrollTop||d.scrollTop||0) - b.clientTop
	};

	//apply layout
	pos.x-=getAbsoluteLeft(this._obj)+(this._table_view?0:this.xy.scale_width);
	pos.y-=getAbsoluteTop(this._obj)+this.xy.nav_height+(this._dy_shift||0)+this.xy.scale_height-this._els["dhx_cal_data"][0].scrollTop;
	pos.ev = ev;

	var handler = this["mouse_"+this._mode];
	if (handler)
		return handler.call(this,pos);

	if (this._cols){

		var width = 0;
		for(var i=0; i < this._cols.length && !width; i++){
			width = this._cols[i];
		}

		if(width){
			column = pos.x / width;
		}else{
			column = 0;
		}

		if (this._ignores)
			for (var i=0; i<=column; i++)
				if (this._ignores[i])
					column++;
	}

	//transform to date
	if (!this._table_view) {
		//"get position" can be invoked before columns are loaded into the units view(e.g. by onMouseMove handler in key_nav.js)
		if(!this._cols)  return pos;
		pos.x=Math.min(this._cols.length-1, Math.max(0,Math.ceil(column)-1));

		pos.y=Math.max(0,Math.ceil(pos.y*60/(this.config.time_step*this.config.hour_size_px))-1)+this.config.first_hour*(60/this.config.time_step);
	} else {
		if (!this._cols || !this._colsS) // agenda/map views
			return pos;
		var dy=0;
		for (dy=1; dy < this._colsS.heights.length; dy++)
			if (this._colsS.heights[dy]>pos.y) break;

		pos.y=Math.ceil( (Math.max(0, column)+Math.max(0,dy-1)*7)*24*60/this.config.time_step );

		if (scheduler._drag_mode || this._mode == "month")
			pos.y=(Math.max(0,Math.ceil(column)-1)+Math.max(0,dy-1)*7)*24*60/this.config.time_step;

		//we care about ignored days only during event moving in month view
		if (this._drag_mode == "move"){
			if (scheduler._ignores_detected && scheduler.config.preserve_length){
				pos._ignores = true;
				//get real lengtn of event
				if (!this._drag_event._event_length)
					this._drag_event._event_length = this._get_real_event_length(this._drag_event.start_date, this._drag_event.end_date, { x_step:1, x_unit:"day"});
			}
		}

		pos.x=0;
	}
	return pos;
};